> ## Documentation Index
> Fetch the complete documentation index at: https://docs.imprint.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for transaction



## OpenAPI

````yaml /api-reference/openapi.yaml get /v2/transactions
openapi: 3.1.0
info:
  title: Public Imprint API
  version: '2.0'
servers:
  - url: https://dev.sbx.imprint.co
    description: Imprint public api sandbox
security:
  - basicAuth: []
  - bearerAuth: []
paths:
  /v2/transactions:
    get:
      tags:
        - Transactions
      summary: Search for transaction
      operationId: searchTransactions
      parameters:
        - name: status
          in: query
          schema:
            $ref: '#/components/schemas/TransactionStatus'
        - $ref: '#/components/parameters/maxAmountParam'
          name: max_amount
        - $ref: '#/components/parameters/minAmountParam'
          name: min_amount
        - $ref: '#/components/parameters/limitParam'
          name: limit
        - $ref: '#/components/parameters/startingAfterParam'
          name: starting_after
      responses:
        '200':
          description: List of transactions
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Transaction'
                  has_more:
                    type: boolean
                  total:
                    type: integer
components:
  schemas:
    TransactionStatus:
      type: string
      enum:
        - APPROVED
        - UPDATED
        - VOIDED
        - CAPTURED
        - REFUNDED
      example: APPROVED
    Transaction:
      type: object
      required:
        - id
        - customer_id
        - payment_method_id
        - amount
        - currency
        - status
        - network_transaction_id
        - created_at
      properties:
        id:
          type: string
          example: E777214A-2D11-4CAD-9E8F-E1BD71D9FE67
        intent_id:
          type: string
          description: Reference to the original transaction intent
          example: 5B30532B-5B5B-4826-8DE2-429C57B705FD
        customer_id:
          type: string
          description: The imprint customer ID for the transaction
          example: 9B5E1EE0-2E1C-46E7-81B9-3C3917204BE4
        authorization_code:
          type: string
          description: Code authorizing the transaction.
          example: ABCD
        payment_method_id:
          type: string
          description: Identifies the payment method used for the transaction
          example: DCBFC736-2286-42DD-897D-160DCA80AED2
        purchase_method:
          $ref: '#/components/schemas/PurchaseMethod'
        amount:
          type: integer
          description: Transaction amount in min units.
        currency:
          $ref: '#/components/schemas/TransactionCurrency'
        status:
          $ref: '#/components/schemas/TransactionStatus'
        network_transaction_id:
          type: string
          description: >-
            The network's unique identifier for the transaction. Examples
            include Visa Transaction ID, Mastercard Trace ID, and American
            Express Network Reference ID
        partner_transaction_id:
          type: string
          description: The partner's unique transaction id
        created_at:
          type: string
          description: the RFC-3339 timestamp when the transaction was created
          example: '2025-02-13T19:08:07.000Z'
        updated_at:
          type: string
          description: the RFC-3339 timestamp when the transaction was last updated
          example: '2025-02-13T19:08:07.000Z'
        merchant:
          $ref: '#/components/schemas/Merchant'
        metadata:
          type: object
          additionalProperties: true
          example:
            platform_version: 2.1.0
    PurchaseMethod:
      type: string
      enum:
        - CHIP
        - CONTACTLESS
        - KEYEDIN
        - ONLINE
        - SWIPE
        - QRCODE
        - OCR
        - UNKNOWN
      nullable: true
      description: How the purchase was completed.
      example: CHIP
    TransactionCurrency:
      type: string
      description: >-
        The 3-character currency code of the amount in ISO 4217 format (e.g.,
        "USD")
      example: USD
    Merchant:
      type: object
      properties:
        network_id:
          type: string
          description: Unique identifier of the merchant assigned by the payment network.
          example: '234923454545'
        name:
          type: string
          description: Name of the merchant where the transaction occurred.
          example: Target
        category:
          type: string
          nullable: true
          description: Name of the merchant category.
          example: Grocery Stores
        category_code:
          type: string
          nullable: true
          description: Code associated with the merchant category.
          example: '5411'
        address:
          $ref: '#/components/schemas/Address'
          type: object
    Address:
      type: object
      description: Mailing address information
      properties:
        street_line1:
          type: string
          description: Primary street address
          example: 123 Main St
        street_line2:
          type: string
          description: Secondary street address (apartment, suite, etc.)
          example: Apt 4B
        city:
          type: string
          description: City name
          example: San Francisco
        state:
          type: string
          description: State or province
          example: CA
        postal_code:
          type: string
          description: ZIP or postal code
          example: '94105'
        country:
          type: string
          description: ISO-3166-1 alpha-3 Country Code
          example: USA
  parameters:
    maxAmountParam:
      name: max_amount
      in: query
      description: Filters results based on maximum amount
      schema:
        type: integer
        format: int32
    minAmountParam:
      name: min_amount
      in: query
      description: Filters results based on minimum amount
      schema:
        type: integer
        minimum: 0
        default: 0
        format: int32
    limitParam:
      name: limit
      in: query
      description: Limits the number of returned results
      schema:
        type: integer
        minimum: 1
        default: 10
        format: int32
    startingAfterParam:
      name: starting_after
      in: query
      description: >-
        A cursor for use in pagination. An id that defines your place in the
        list.
      schema:
        type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: auth-scheme
      description: >-
        Bearer HTTP authentication. Allowed headers-- Authorization: Bearer
        <api_key>
      scheme: bearer
      type: http

````